Bug 988659 - global name 're' is not defined in ssl_support.py
global name 're' is not defined in ssl_support.py
Status: CLOSED NOTABUG
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Vojtech Vitek
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 01:34 EDT by jackyueq
Modified: 2015-05-14 19:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-27 13:16:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jackyueq 2013-07-26 01:34:36 EDT
I'm seeing the following errors during push.






remote: Installing setuptools................................................
remote:   Complete output from command /var/lib/openshift/5...n/virtenv/bin/python -c "#!python
remote: \"\"\"Bootstra...sys.argv[1:])
remote: 
remote: 
remote: 
remote: 
remote: 
remote: 
remote: " --always-copy -U setuptools:
remote:   Searching for setuptools
remote: Reading https://pypi.python.org/simple/setuptools/
remote: Traceback (most recent call last):
remote:   File "<string>", line 278, in <module>
remote:   File "<string>", line 239, in main
remote:   File "build/bdist.linux-x86_64/egg/setuptools/command/easy_install.py", line 1712, in main
remote:   File "build/bdist.linux-x86_64/egg/setuptools/command/easy_install.py", line 1700, in with_ei_usage
remote:   File "build/bdist.linux-x86_64/egg/setuptools/command/easy_install.py", line 1716, in <lambda>
remote:   File "/var/lib/openshift/519969974382ecd388000125/python/opt/lib/python2.7/distutils/core.py", line 152, in setup
remote:     dist.run_commands()
remote:   File "/var/lib/openshift/519969974382ecd388000125/python/opt/lib/python2.7/distutils/dist.py", line 953, in run_commands
remote:     self.run_command(cmd)
remote:   File "/var/lib/openshift/519969974382ecd388000125/python/opt/lib/python2.7/distutils/dist.py", line 972, in run_command
remote:     cmd_obj.run()
remote:   File "build/bdist.linux-x86_64/egg/setuptools/command/easy_install.py", line 211, in run
remote:   File "build/bdist.linux-x86_64/egg/setuptools/command/easy_install.py", line 434, in easy_install
remote:   File "build/bdist.linux-x86_64/egg/setuptools/package_index.py", line 454, in fetch_distribution
remote:   File "build/bdist.linux-x86_64/egg/setuptools/package_index.py", line 303, in find_packages
remote:   File "build/bdist.linux-x86_64/egg/setuptools/package_index.py", line 617, in scan_url
remote:   File "build/bdist.linux-x86_64/egg/setuptools/package_index.py", line 190, in process_url
remote:   File "build/bdist.linux-x86_64/egg/setuptools/package_index.py", line 578, in open_url
remote:   File "build/bdist.linux-x86_64/egg/setuptools/package_index.py", line 758, in open_with_aut
remote:   File "/var/lib/openshift/519969974382ecd388000125/python/opt/lib/python2.7/urllib2.py", line 400, in open
remote:     response = self._open(req, data)
remote:   File "/var/lib/openshift/519969974382ecd388000125/python/opt/lib/python2.7/urllib2.py", line 418, in _open
remote:     '_open', req)
remote:   File "/var/lib/openshift/519969974382ecd388000125/python/opt/lib/python2.7/urllib2.py", line 378, in _call_chain
remote:     result = func(*args)
remote:   File "build/bdist.linux-x86_64/egg/setuptools/ssl_support.py", line 174, in https_open
remote:   File "/var/lib/openshift/519969974382ecd388000125/python/opt/lib/python2.7/urllib2.py", line 1174, in do_open
remote:     h.request(req.get_method(), req.get_selector(), req.data, headers)
remote:   File "/var/lib/openshift/519969974382ecd388000125/python/opt/lib/python2.7/httplib.py", line 958, in request
remote:     self._send_request(method, url, body, headers)
remote:   File "/var/lib/openshift/519969974382ecd388000125/python/opt/lib/python2.7/httplib.py", line 992, in _send_request
remote:     self.endheaders(body)
remote:   File "/var/lib/openshift/519969974382ecd388000125/python/opt/lib/python2.7/httplib.py", line 954, in endheaders
remote:     self._send_output(message_body)
remote:   File "/var/lib/openshift/519969974382ecd388000125/python/opt/lib/python2.7/httplib.py", line 814, in _send_output
remote:     self.send(msg)
remote:   File "/var/lib/openshift/519969974382ecd388000125/python/opt/lib/python2.7/httplib.py", line 776, in send
remote:     self.connect()
remote:   File "build/bdist.linux-x86_64/egg/setuptools/ssl_support.py", line 192, in connect
remote:   File "build/bdist.linux-x86_64/egg/setuptools/ssl_support.py", line 116, in match_hostname
remote:   File "build/bdist.linux-x86_64/egg/setuptools/ssl_support.py", line 98, in _dnsname_to_pat
remote: NameError: global name 're' is not defined
Comment 1 Mrunal Patel 2013-07-26 15:17:23 EDT
Could you try a git push with the force_clean_build marker set?
Comment 2 jackyueq 2013-07-27 13:16:09 EDT
Thanks, bug resolved with force_clean_build marker set.

Note You need to log in before you can comment on or make changes to this bug.